<template>
  <div>
    <b-button-group class="mb-3 w-100">
      <b-button
        :variant="currentView === 'Metadata' ? 'primary' : 'secondary'"
        @click="switchView"
        >{{ $t("page.resource.metadataViewButton") }}</b-button
      >
      <b-button
        :variant="currentView === 'Extracted' ? 'primary' : 'secondary'"
        @click="switchView"
        >{{ $t("page.resource.extractedViewButton") }}</b-button
      >
    </b-button-group>
  </div>
</template>

<script lang="ts">
import type { MetadataManagerViews } from "../../../types";

export default defineComponent({
  props: {
    currentView: {
      required: true,
      type: [String] as PropType<MetadataManagerViews>,
    },
  },
  methods: {
    switchView() {
      this.$emit(
        "switchView",
        this.currentView === "Metadata" ? "Extracted" : "Metadata",
      );
    },
  },
});
</script>
